# Generated from momentjs-rails-2.17.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name momentjs-rails

Name: rubygem-%{gem_name}
Version: 2.17.1
Release: 1%{?dist}.5
Summary: The Moment.js JavaScript library ready to play with Rails
Group: Development/Languages
License: MIT
URL: https://github.com/derekprior/momentjs-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: (rubygem(rails) >= 3.2.12 with rubygem(rails) < 3.3)
# BuildRequires: (rubygem(test-unit) >= 3.0 with rubygem(test-unit) < 4)
BuildArch: noarch

%description
Moment.js is a lightweight javascript date library for parsing,
manipulating, and formatting dates.
This gem allows for its easy inclusion into the rails asset pipeline.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%{gem_instdir}/news.md
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/test

%changelog
* Wed May 23 2018 Oleg Girko <ol@infoserver.lv> - 2.17.1-1
- Update to 2.17.1
* Tue Apr 25 2017 Oleg Girko <ol@infoserver.lv> - 2.15.1-1
- Initial package
